# Typy osobních dokladů

## OpenAPI Specification

```yaml
openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /codelist/proofOfIdentityType:
    get:
      summary: Typy osobních dokladů
      deprecated: false
      description: >-
        ## Význam a použití

        Tato metoda vrací předem definovaný seznam kódů a popisků – v tomto
        případě typů dokladů sloužících k ověření identity. Uživatelé či
        integrované systémy tak mohou zjistit, jaké typy dokladů (např. občanský
        průkaz, cestovní pas apod.) jsou v rámci API podporované. Využití najde
        především v pro:


        **- Získání seznamu typů dokladů**

        Pro některé služby (např. výdej balíku proti dokladu) je v API potřeba
        uvádět, jaký typ dokladu byl použit pro ověření příjemce. Díky codelistu
        získáte oficiální kód i čitelný název daného typu (typicky v různých
        jazycích).


        **- Lokalizovaný popis**

        Obdobně jako u jiných codelistů, i zde API vrací text (název či popis) v
        různých jazycích. To se hodí pro zobrazení uživatelům v jejich jazyce.
      tags:
        - API Metody/Codelist
        - Codelist
      parameters:
        - name: Limit
          in: query
          description: ''
          required: true
          schema:
            maximum: 1000
            minimum: 1
            type: integer
            format: int32
        - name: Offset
          in: query
          description: ''
          required: true
          schema:
            maximum: 2147483647
            minimum: 0
            type: integer
            format: int32
        - name: Accept-Language
          in: header
          description: 'Language specification, default language: cs-CZ'
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/AcceptLanguageSchema'
        - name: X-Correlation-ID
          in: header
          description: Correlation Id of request
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/XCorrelationIdSchema'
        - name: X-LogLevel
          in: header
          description: The forced log level
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/XLogLevelSchema'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  x-apidog-refs:
                    01JKB112QK3RZ8Z427ZPFKMJS2:
                      $ref: >-
                        #/components/schemas/Eps.Api.MyApi2.Web.Models.Codelist.ProofOfIdentityTypeModel
                      x-apidog-overrides:
                        name: &ref_0
                          type: string
                          description: >-
                            Název identifikačního dokladu např. pas,řidičský
                            průkaz...
                          nullable: true
                        code: &ref_1
                          type: string
                          description: Kód identifikačního dokladu
                          nullable: true
                  x-apidog-orders:
                    - 01JKB112QK3RZ8Z427ZPFKMJS2
                  properties:
                    name: *ref_0
                    code: *ref_1
                  x-apidog-ignore-properties:
                    - name
                    - code
          headers:
            X-Correlation-ID:
              description: Correlation Id of request otherwise id of response
              schema:
                $ref: '#/components/schemas/XCorrelationIdSchema'
            X-Paging-Total-Items-Count:
              description: Total items in result
              schema:
                $ref: '#/components/schemas/XPagingSchema'
            X-Paging-Offset:
              description: Paging offset
              schema:
                $ref: '#/components/schemas/XPagingSchema'
            X-Paging-Limit:
              description: Page size
              schema:
                $ref: '#/components/schemas/XPagingSchema'
          x-apidog-name: OK
        '400':
          description: BadRequest
          content:
            application/problem+json:
              schema:
                type: object
                properties:
                  errors:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    x-apidog-orders: []
                    properties: {}
                    x-apidog-ignore-properties: []
                    nullable: true
                  type:
                    type: string
                    nullable: true
                  title:
                    type: string
                    nullable: true
                  status:
                    type: integer
                    format: int32
                    nullable: true
                  detail:
                    type: string
                    nullable: true
                  instance:
                    type: string
                    nullable: true
                x-apidog-orders:
                  - 01JJV9Q4Y4ZMY2HHXTFF0AAV68
                x-apidog-refs:
                  01JJV9Q4Y4ZMY2HHXTFF0AAV68: &ref_2
                    $ref: >-
                      #/components/schemas/Eps.Api.Infrastructure.WebApi.Model.ProblemJsonModel
                x-apidog-ignore-properties:
                  - errors
                  - type
                  - title
                  - status
                  - detail
                  - instance
          headers: {}
          x-apidog-name: Bad Request
        '500':
          description: InternalServerError
          content:
            application/problem+json:
              schema:
                type: object
                properties:
                  errors:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    x-apidog-orders: []
                    properties: {}
                    x-apidog-ignore-properties: []
                    nullable: true
                  type:
                    type: string
                    nullable: true
                  title:
                    type: string
                    nullable: true
                  status:
                    type: integer
                    format: int32
                    nullable: true
                  detail:
                    type: string
                    nullable: true
                  instance:
                    type: string
                    nullable: true
                x-apidog-orders:
                  - 01JJV9QBEB0K10CX6ZF0KGGYBS
                x-apidog-refs:
                  01JJV9QBEB0K10CX6ZF0KGGYBS: *ref_2
                x-apidog-ignore-properties:
                  - errors
                  - type
                  - title
                  - status
                  - detail
                  - instance
          headers: {}
          x-apidog-name: Server Error
        '503':
          description: ServiceUnavailable
          content:
            application/problem+json:
              schema:
                type: object
                properties:
                  errors:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    x-apidog-orders: []
                    properties: {}
                    x-apidog-ignore-properties: []
                    nullable: true
                  type:
                    type: string
                    nullable: true
                  title:
                    type: string
                    nullable: true
                  status:
                    type: integer
                    format: int32
                    nullable: true
                  detail:
                    type: string
                    nullable: true
                  instance:
                    type: string
                    nullable: true
                x-apidog-orders:
                  - 01JJV9QH0MNV2K1444GKC3Y513
                x-apidog-refs:
                  01JJV9QH0MNV2K1444GKC3Y513: *ref_2
                x-apidog-ignore-properties:
                  - errors
                  - type
                  - title
                  - status
                  - detail
                  - instance
          headers: {}
          x-apidog-name: Service Unavailable
      security: []
      x-apidog-folder: API Metody/Codelist
      x-apidog-status: released
      x-run-in-apidog: https://app.apidog.com/web/project/796227/apis/api-13465899-run
components:
  schemas:
    AcceptLanguageSchema:
      type: string
      description: Accept-Language header schema
      x-apidog-folder: ''
    XCorrelationIdSchema:
      type: string
      description: X-Correlation-ID header schema
      x-apidog-folder: ''
    XLogLevelSchema:
      enum:
        - Trace
        - Debug
        - Information
        - Warning
        - Error
        - Critical
      type: string
      description: X-LogLevel header schema
      x-apidog-folder: ''
    Eps.Api.MyApi2.Web.Models.Codelist.ProofOfIdentityTypeModel:
      type: object
      properties:
        name:
          type: string
          description: Name of identity type
          nullable: true
        code:
          type: string
          description: Code of identity type
          nullable: true
      additionalProperties: false
      description: ProofOfIdentityTypeModel
      x-apidog-orders:
        - name
        - code
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    Eps.Api.Infrastructure.WebApi.Model.ProblemJsonModel:
      type: object
      properties:
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          x-apidog-orders: []
          properties: {}
          x-apidog-ignore-properties: []
          nullable: true
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties:
        type: string
      x-apidog-orders:
        - errors
        - type
        - title
        - status
        - detail
        - instance
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
  securitySchemes:
    oauth2:
      type: apikey
      description: Get access token from authentication server.
      name: Authorization
      in: header
    Bearer:
      type: jwt
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      scheme: bearer
      bearerFormat: JWT
servers: []
security: []

```
